Name:           python-pretalx-media-ccc-de
Version:        1.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Pull recordings from media.ccc.de and embed them in talk pages.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/pretalx/pretalx-media-ccc-de
Source:         %{pypi_source pretalx_media_ccc_de}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pretalx-media-ccc-de' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pretalx-media-ccc-de
Summary:        %{summary}

%description -n python3-pretalx-media-ccc-de %_description


%prep
%autosetup -p1 -n pretalx_media_ccc_de-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pretalx-media-ccc-de -f %{pyproject_files}


%changelog
%autochangelog